Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#431 closed defect (fixed)

MSDOS Timeout fail on Bonnie disk test.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 2
Component: fs Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The Bonnie test program's lseek test fails on a 1msec = 1tick target when more than one thread is seeking. The DOSFS calls are protected by a semaphore with a timeout of 100 ticks.

Note, the Bonnie test could have a bug where it is seeking past the end of a file causing the DOSFS to extend the file. A CompactFlash? disk may take time to extend the file. The Bonnie test should only seek on the file created by the putc write test. The Bonnie program will be checked once the DOSFS is fixed.

Release:
RTEMS-4.6.0, HEAD

Environment:
Bonnie disk test program using the MSDOS filesystem.

Change History (2)

comment:1 Changed on 07/14/03 at 22:20:04 by Chris Johns

Owner: changed from jennifer to Chris Johns
Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Change in CVS for the 4.6.0 and main branch.

comment:2 Changed on 02/10/23 at 14:57:27 by Joel Sherrill <joel@…>

Really closed #4331 if you do end up here looking.

In [changeset:"26e1610833a9f7c77409bbed99bf5015387438c6/rtems" 26e1610/rtems]:

shell/main_pci.c: Address Dereference after null error check

Coverity CID 1399716

Closes #431.

Last edited on 02/10/23 at 15:01:42 by Joel Sherrill (previous) (diff)
Note: See TracTickets for help on using tickets.